Kythe Java indexer must support option for compiling with JDK7.
OpenPublic

Description

We want to index OpenJDK 8. It says JDK8 "should" not be used for building JDK8. See: http://hg.openjdk.java.net/jdk8/jdk8/file/1773f1fd0fac/README-builds.html#l376
I just tried and was unsuccessful to build jdk8 with jdk8 on my workstation.

amshali created this task.Via WebOct 30 2015, 3:46 PM
amshali assigned this task to schroederc.
amshali added a subscriber: amshali.
amshali added a comment.Via WebNov 9 2015, 12:19 PM

Can we get an update on this? It's critical for indexing JDK8.

schroederc triaged this task as "Low" priority.Via WebNov 9 2015, 12:23 PM

I've found that the kythe/extractors/openjdk/run.sh script still works well enough even though there are errors in the output. Fixing those errors is low priority.

schroederc changed the visibility of this Maniphest Task from "All Users" to "Public (No Login Required)".Via WebMay 16 2016, 3:30 PM
schroederc added a project: Restricted Project.Via WebJun 13 2016, 12:21 PM

Add Comment